[arch-commits] Commit in stardict/trunk (3 files)

Jan de Groot jgc at archlinux.org
Fri May 8 17:22:56 EDT 2009


    Date: Friday, May 8, 2009 @ 17:22:55
  Author: jgc
Revision: 38524

upgpkg: stardict 3.0.1-3
    Fix compilation with gcc 4.4
Remove references to desktop-file-utils

Modified:
  stardict/trunk/PKGBUILD
  stardict/trunk/stardict_gcc43.patch
Deleted:
  stardict/trunk/stardict.install

----------------------+
 PKGBUILD             |   16 ++++++++--------
 stardict.install     |   16 ----------------
 stardict_gcc43.patch |    6 ++++--
 3 files changed, 12 insertions(+), 26 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-08 21:18:40 UTC (rev 38523)
+++ PKGBUILD	2009-05-08 21:22:55 UTC (rev 38524)
@@ -4,19 +4,19 @@
 
 pkgname=stardict
 pkgver=3.0.1
-pkgrel=2
+pkgrel=3
 pkgdesc="A powerful international dictionary written in Gtk2."
 arch=(i686 x86_64)
 url="http://stardict.sourceforge.net/"
 license=('GPL')
-depends=('enchant' 'gtk2' 'libsigc++2.0')
-makedepends=('perlxml' 'popt')
+depends=('enchant' 'gtk2>=2.16.1' 'libsigc++2.0' 'libsm')
+makedepends=('intltool' 'popt')
 options=('!libtool' '!emptydirs')
-install=stardict.install
-source=(http://downloads.sourceforge.net/sourceforge/stardict/$pkgname-$pkgver.tar.bz2 \
-	stardict_gcc43.patch sigc++.patch)
+source=(http://downloads.sourceforge.net/sourceforge/stardict/$pkgname-$pkgver.tar.bz2
+	stardict_gcc43.patch
+	sigc++.patch)
 md5sums=('93bb2d7825bc9d52a4f9ba4c1c506d1d'
-         '9ef740f89d1a798e40855689a88d1c89'
+         '25755f13686e22ad28239fa11049f14d'
          '5bf0232225dab4e62a8bd08eb2ec581c')
 
 build()
@@ -29,7 +29,7 @@
    ./configure 	PKG_CONFIG=/usr/bin/pkg-config --prefix=/usr --sysconfdir=/etc \
         --mandir=/usr/share/man --disable-gnome-support --disable-schemas-install \
         --disable-espeak --disable-gucharmap --disable-festival --disable-advertisement \
-	--disable-updateinfo
+	--disable-updateinfo || return 1
    make || return 1
    make DESTDIR=$pkgdir install || return 1
 }

Deleted: stardict.install
===================================================================
--- stardict.install	2009-05-08 21:18:40 UTC (rev 38523)
+++ stardict.install	2009-05-08 21:22:55 UTC (rev 38524)
@@ -1,16 +0,0 @@
-post_install() {
-  update-desktop-database -q
-}
-
-post_upgrade() {
-  post_install $1
-}
-
-post_remove() {
-  update-desktop-database -q
-}
-
-op=$1
-shift
-
-$op $*

Modified: stardict_gcc43.patch
===================================================================
--- stardict_gcc43.patch	2009-05-08 21:18:40 UTC (rev 38523)
+++ stardict_gcc43.patch	2009-05-08 21:22:55 UTC (rev 38524)
@@ -68,11 +68,12 @@
 
 --- stardict-3.0.1/src/lib/data.cpp.gcc43	2007-09-21 10:09:52.000000000 +0900
 +++ stardict-3.0.1/src/lib/data.cpp	2008-02-26 19:33:38.000000000 +0900
-@@ -26,6 +26,7 @@
+@@ -26,6 +26,8 @@
  
  #include "data.hpp"
  #include "getuint32.h"
 +#include <cstring>
++#include <cstdio>
  
  
  DictBase::DictBase()
@@ -101,12 +102,13 @@
 
 --- stardict-3.0.1/src/lib/stardict_client.cpp.gcc43	2007-10-31 17:32:11.000000000 +0900
 +++ stardict-3.0.1/src/lib/stardict_client.cpp	2008-02-26 19:34:16.000000000 +0900
-@@ -25,6 +25,8 @@
+@@ -25,6 +25,9 @@
  #include <glib.h>
  #include <glib/gi18n.h>
  
 +#include <cstring>
 +#include <stdlib.h>
++#include <cstdio>
  #include "sockets.hpp"
  #include "md5.h"
  #include "getuint32.h"



More information about the arch-commits mailing list